Holger's Java API

## com.antelmann.db
Class AbstractDBEnumeration<T extends DBEntry>

    java.lang.Object
      com.antelmann.util.AbstractIterator<T>
          com.antelmann.db.AbstractDBEnumeration<T>

All Implemented Interfaces:
  DBEnumeration<T>, Closeable, Iterable<T>, Enumeration<T>, Iterator<T>

    public abstract class AbstractDBEnumeration<T extends DBEntry>

extends AbstractIterator<T>
implements DBEnumeration<T>

a base for making it easy to implement `DBEnumeration`.

Since:
  30. März 2007, 14:07
Author:
  Holger Antelmann

Constructor Summary
`AbstractDBEnumeration()`

Method Summary

`static

`<T extends DBEntry,X extends T,Y extends T> DBEnumeration<T>`

`

`add(DBEnumeration<X> e1, DBEnumeration<Y> e2)`

`static

`<T extends DBEntry> DBEnumeration<T>`

`

`emptyDBEnumeration()`

`static

`<E extends DBEntry> AbstractDBEnumeration<E>`

`

`filter(DBEnumeration<E> i, Filter<? super E> filter)`
remove() is not supported on the returned iterator

`protected void` `finalize()`

`static

`<E extends DBEntry> DBEnumeration<E>`

`

`monitor(DBEnumeration<E> i, Monitor monitor)`
increments the monitor upon calling next()

`static

`<T extends DBEntry,E extends Exception> DBEnumeration<T>`

`

`processDB(DBEnumeration<T> e, Processor<T,E> p)`

`static

`<T extends DBEntry> DBEnumeration<T>`

`

`wrap(Enumeration<T> e)`

`static

`<T extends DBEntry> DBEnumeration<T>`

`

`wrap(Iterator<T> i)`

Methods inherited from class com.antelmann.util.AbstractIterator

`allowsNull, asIterable, close, concat, concat, convert, convert, count, currentElement, emptyEnumeration, emptyIterable, emptyIterator, enumerate, filter, filter, getAll, getCount, getEndCondition, getFilter, getNextElement, hasMoreElements, hasNext, iterate, iterate, iterator, list, list, list, list, monitor, monitor, next, nextElement, process, process, propagatesException, remove, reverseEnumeration, setAllowNull, setFilter, setPropagateException, sortEnumeration, sortEnumeration, stopIteration`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.antelmann.db.DBEnumeration
`close`

Methods inherited from interface java.util.Enumeration
`hasMoreElements, nextElement`

Constructor Detail

### AbstractDBEnumeration

    public AbstractDBEnumeration()

Method Detail

### finalize

    protected void finalize()
                     throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

### filter

    public static <E extends DBEntry> AbstractDBEnumeration<E> filter(DBEnumeration<E> i,
                                                                      Filter<? super E> filter)

  remove() is not supported on the returned iterator

### wrap

    public static <T extends DBEntry> DBEnumeration<T> wrap(Iterator<T> i)

### wrap

    public static <T extends DBEntry> DBEnumeration<T> wrap(Enumeration<T> e)

### monitor

    public static <E extends DBEntry> DBEnumeration<E> monitor(DBEnumeration<E> i,
                                                               Monitor monitor)

  increments the monitor upon calling next()

### processDB

    public static <T extends DBEntry,E extends Exception> DBEnumeration<T> processDB(DBEnumeration<T> e,
                                                                                     Processor<T,E> p)

### add

    public static <T extends DBEntry,X extends T,Y extends T> DBEnumeration<T> add(DBEnumeration<X> e1,
                                                                                   DBEnumeration<Y> e2)

### emptyDBEnumeration

    public static <T extends DBEntry> DBEnumeration<T> emptyDBEnumeration()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads